Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:39 2009

## Asterisk developer's documentation

# fsk_data Struct Reference

`#include <fskmodem.h>`

## Data Fields

int | bw
float | cola_demod [NCOLA]
float | cola_filtro [NCOLA]
float | cola_in [NCOLA]
float | cont
int | f_mark_idx
int | f_space_idx
int | flp
double | flxv [8]
double | flyv [8]
int | fmp
double | fmxv [8]
double | fmyv [8]
int | fsp
double | fsxv [8]
double | fsyv [8]
int | hdlc
int | nbit
float | nstop
int | paridad
int | pcola
float | spb
int | state
float | x0
float | x1
float | x2

## Detailed Description

Definition at line 35 of file fskmodem.h.

## Field Documentation

int bw

Ancho de Banda

Definition at line 45 of file fskmodem.h.

Referenced by callerid_new(), filtroL(), filtroM(), filtroS(), and tdd_new().

float cola_demod[NCOLA]

Cola de muestras demoduladas

Definition at line 58 of file fskmodem.h.

Referenced by demodulador().

float cola_filtro[NCOLA]

Cola de muestras tras filtros

Definition at line 57 of file fskmodem.h.

Referenced by demodulador().

float cola_in[NCOLA]

Cola de muestras de entrada

Definition at line 56 of file fskmodem.h.

Referenced by demodulador().

float cont

Definition at line 44 of file fskmodem.h.

Referenced by callerid_new(), get_bit_raw(), and tdd_new().

int f_mark_idx

Indice de frecuencia de marca (f_M-500)/5

Definition at line 52 of file fskmodem.h.

Referenced by callerid_new(), filtroM(), and tdd_new().

int f_space_idx

Indice de frecuencia de espacio (f_S-500)/5

Definition at line 53 of file fskmodem.h.

Referenced by callerid_new(), filtroS(), and tdd_new().

int flp

pointer for L filter

Definition at line 51 of file fskmodem.h.

Referenced by filtroL().

double flxv[8]

Definition at line 50 of file fskmodem.h.

Referenced by filtroL().

double flyv[8]

filter stuff for L filter

Definition at line 50 of file fskmodem.h.

Referenced by filtroL().

int fmp

pointer for M filter

Definition at line 47 of file fskmodem.h.

Referenced by filtroM().

double fmxv[8]

Definition at line 46 of file fskmodem.h.

Referenced by filtroM().

double fmyv[8]

filter stuff for M filter

Definition at line 46 of file fskmodem.h.

Referenced by filtroM().

int fsp

pointer for S filter

Definition at line 49 of file fskmodem.h.

Referenced by filtroS().

double fsxv[8]

Definition at line 48 of file fskmodem.h.

Referenced by filtroS().

double fsyv[8]

filter stuff for S filter

Definition at line 48 of file fskmodem.h.

Referenced by filtroS().

int hdlc

Modo Packet

Definition at line 40 of file fskmodem.h.

Referenced by callerid_new(), and tdd_new().

int nbit

Number of Data Bits (5,7,8)

Definition at line 37 of file fskmodem.h.

Referenced by callerid_new(), fsk_serie(), and tdd_new().

float nstop

Number of Stop Bits 1,1.5,2

Definition at line 38 of file fskmodem.h.

Referenced by callerid_new(), fsk_serie(), and tdd_new().

int paridad

Parity 0=none 1=even 2=odd

Definition at line 39 of file fskmodem.h.

Referenced by callerid_new(), fsk_serie(), and tdd_new().

int pcola

Puntero de las colas de datos

Definition at line 55 of file fskmodem.h.

Referenced by callerid_new(), demodulador(), and tdd_new().

float spb

Samples / Bit

Definition at line 36 of file fskmodem.h.

Referenced by callerid_new(), fsk_serie(), get_bit_raw(), and tdd_new().

int state

Definition at line 54 of file fskmodem.h.

Referenced by callerid_new(), fsk_serie(), and tdd_new().

float x0

Definition at line 41 of file fskmodem.h.

Referenced by callerid_new(), get_bit_raw(), and tdd_new().

float x1

Definition at line 42 of file fskmodem.h.

Referenced by fsk_serie().

float x2

Definition at line 43 of file fskmodem.h.

Referenced by fsk_serie().

The documentation for this struct was generated from the following file:

- fskmodem.h